import { addStore } from '@furystack/core';
import { MongoClientFactory } from './mongo-client-factory';
import { MongodbStore } from './mongodb-store';
export const useMongoDb = ({ injector, model, primaryKey, db, collection, url, options, }) => {
    const clientFactory = injector.getInstance(MongoClientFactory);
    const store = new MongodbStore({
        model,
        primaryKey,
        db,
        collection,
        mongoClient: async () => await clientFactory.getClientFor(url, options),
    });
    addStore(injector, store);
};
//# sourceMappingURL=store-manager-helpers.js.map